<template lang="html">
<v-container>
<v-layout row wrap>
    <v-dialog v-model="dialog" persistent max-width="290">
      <v-card>
        <v-card-title class="headline">Success</v-card-title>
        <v-card-text>Successfully Created Major</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green darken-1" flat @click="goMajor()">OK</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-layout>
  <v-flex xs12>
      <v-form
    ref="form"
    lazy-validation
  >
    <v-text-field
      v-model="data.name"
      :counter="10"
      
      label="Name"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.code"
      :counter="10"
      label="Code"
      required
    ></v-text-field>
    </v-form>
  </v-flex>
      <v-flex xs12>
    <v-btn color="info" @click="save">Save Major</v-btn>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import service from '../services/majors.js'
  export default  {
    name: 'student',
    props: [],
    mounted() {
       service.getAll().then((result)=>{
        this.data = result.data;
      })
    },
    data() {
      return {
          dialog: false,
          data: {
                name: "",
                code: ""
            }
        }
    },
    methods: {
      goMajor(){
          this.$router.push({name:'major'})
      },
      save() {
       console.log("-- data to be saved --")
       console.log(this.data)
       
       
       service.save(this.data).then((result)=>{

        console.log("-- response --")
        console.log(result);
        
        // if(result.status = "success"){
        //     this.dialog = true
        // }
      })
    }
    },
    computed: {

    }
}
</script>

<style scoped>
  .major {

  }
</style>
